﻿
@{
    ViewData["Title"] = " Standard Hours";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">

    <div class="section-container section-with-top-border">

        <div class="row">
            <div class="col-md-4">
                <h4>Standard Hours</h4>
            </div>
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Standard Hours Name</th>
                        <th>Standard Hours value</th>
                        <th data-sorting="disabled" style="pointer-events:none;">Action</th>

                    </tr>
                </thead>


            </table>
        </div>
        <!-- end panel -->
    </div>

    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/StandardHours/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "standardHoursName", "name": "standardHoursName" },
                { "data": "standardHoursValue", "name": "standardHoursValue" },
                {
                    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/StandardHours/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> '; }
                },
            ]
        });
    });
</script>
